;;; Henrique program to remove hatch boundaries in a one click
;;; Saved from: http://forums.autodesk.com/t5/visual-lisp-autolisp-and-general/remove-a-boundary-from-a-hatch-select-objects-problem/td-p/6225609

(defun c:hr (/ cen cir i rad ss ss1)
(cond ((and (princ "\nSelect hatch to edit: ")
(setq ss (ssget "_+.:E:S:L" '((0 . "HATCH") (-4 . ">") (91 . 1))))
(princ "\nSelect boundaries to remove: ")
(setq ss1 (ssget '((0 . "CIRCLE,LWPOLYLINE,SPLINE"))))
)
(command "_.undo" "_G" "_.zoom" "_O" ss "" "_.ucs" "_W")
(command "-hatchedit" (ssname ss 0) "r")
(repeat (setq i (sslength ss1))
(setq cir (entget (ssname ss1 (setq i (1- i))))
cen (cdr (assoc 10 cir))
rad (cdr (assoc 40 cir))
)
(command (list (+ rad (car cen)) (cadr cen)))
)
(command "")
(command "_.zoom" "_P" "_.ucs" "_P" "_.undo" "_E")
)
)
(princ)
) ;remove boundary from hatch
(c:hr)